## NAS Get Operator Name

NAS Get Operator Name

## Functions

QmiMessageNasGetOperatorNameOutput * | qmi_message_nas_get_operator_name_output_ref ()
void | qmi_message_nas_get_operator_name_output_unref ()
gboolean | qmi_message_nas_get_operator_name_output_get_result ()
gboolean | qmi_message_nas_get_operator_name_output_get_service_provider_name ()
gboolean | qmi_message_nas_get_operator_name_output_get_operator_plmn_list ()
gboolean | qmi_message_nas_get_operator_name_output_get_operator_plmn_name ()
gboolean | qmi_message_nas_get_operator_name_output_get_operator_string_name ()
gboolean | qmi_message_nas_get_operator_name_output_get_operator_nitz_information ()
void | qmi_client_nas_get_operator_name ()
QmiMessageNasGetOperatorNameOutput * | qmi_client_nas_get_operator_name_finish ()

## Types and Values

| QmiMessageNasGetOperatorNameOutput
| QmiMessageNasGetOperatorNameOutputOperatorPlmnListElement
| QmiMessageNasGetOperatorNameOutputOperatorPlmnNameElement

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetOperatorNameOutput

## Description

## Functions

### qmi_message_nas_get_operator_name_output_ref ()

    QmiMessageNasGetOperatorNameOutput *
    qmi_message_nas_get_operator_name_output_ref
                                   (QmiMessageNasGetOperatorNameOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_nas_get_operator_name_output_unref ()

    void
    qmi_message_nas_get_operator_name_output_unref
                                   (QmiMessageNasGetOperatorNameOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |

Since: 1.18

### qmi_message_nas_get_operator_name_output_get_result ()

    gboolean
    qmi_message_nas_get_operator_name_output_get_result
                                   (QmiMessageNasGetOperatorNameOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_message_nas_get_operator_name_output_get_service_provider_name ()

    gboolean
    qmi_message_nas_get_operator_name_output_get_service_provider_name
                                   (QmiMessageNasGetOperatorNameOutput *self,
                                    QmiNasNetworkNameDisplayCondition *value_service_provider_name_name_display_condition,
                                    const gchar **value_service_provider_name_name,
                                    GError **error);

Get the 'Service Provider Name' field from `self` .

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |
value_service_provider_name_name_display_condition | a placeholder for the output QmiNasNetworkNameDisplayCondition, or `NULL` if not required. |
value_service_provider_name_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_nas_get_operator_name_output_get_operator_plmn_list ()

    gboolean
    qmi_message_nas_get_operator_name_output_get_operator_plmn_list
                                   (QmiMessageNasGetOperatorNameOutput *self,
                                    GArray **value_operator_plmn_list,
                                    GError **error);

Get the 'Operator PLMN List' field from `self` .

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |
value_operator_plmn_list | a placeholder for the output GArray of QmiMessageNasGetOperatorNameOutputOperatorPlmnListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_nas_get_operator_name_output_get_operator_plmn_name ()

    gboolean
    qmi_message_nas_get_operator_name_output_get_operator_plmn_name
                                   (QmiMessageNasGetOperatorNameOutput *self,
                                    GArray **value_operator_plmn_name,
                                    GError **error);

Get the 'Operator PLMN Name' field from `self` .

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |
value_operator_plmn_name | a placeholder for the output GArray of QmiMessageNasGetOperatorNameOutputOperatorPlmnNameElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_nas_get_operator_name_output_get_operator_string_name ()

    gboolean
    qmi_message_nas_get_operator_name_output_get_operator_string_name
                                   (QmiMessageNasGetOperatorNameOutput *self,
                                    const gchar **value_operator_string_name,
                                    GError **error);

Get the 'Operator String Name' field from `self` .

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |
value_operator_string_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_nas_get_operator_name_output_get_operator_nitz_information ()

    gboolean
    qmi_message_nas_get_operator_name_output_get_operator_nitz_information
                                   (QmiMessageNasGetOperatorNameOutput *self,
                                    QmiNasPlmnEncodingScheme *value_operator_nitz_information_name_encoding,
                                    QmiNasPlmnNameCountryInitials *value_operator_nitz_information_short_country_initials,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_long_name_spare_bits,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_short_name_spare_bits,
                                    const gchar **value_operator_nitz_information_long_name,
                                    const gchar **value_operator_nitz_information_short_name,
                                    GError **error);

Get the 'Operator NITZ Information' field from `self` .

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |
value_operator_nitz_information_name_encoding | a placeholder for the output QmiNasPlmnEncodingScheme, or `NULL` if not required. |
value_operator_nitz_information_short_country_initials | a placeholder for the output QmiNasPlmnNameCountryInitials, or `NULL` if not required. |
value_operator_nitz_information_long_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_short_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_long_name | a placeholder for the output constant string, or `NULL` if not required. |
value_operator_nitz_information_short_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_client_nas_get_operator_name ()

    void
    qmi_client_nas_get_operator_name (QmiClientNas *self,
                                      gpointer unused,
                                      guint timeout,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously sends a Get Operator Name request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_operator_name_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_nas_get_operator_name_finish ()

    QmiMessageNasGetOperatorNameOutput *
    qmi_client_nas_get_operator_name_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_operator_name()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_operator_name()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetOperatorNameOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_operator_name_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageNasGetOperatorNameOutput

    typedef struct _QmiMessageNasGetOperatorNameOutput QmiMessageNasGetOperatorNameOutput;

The QmiMessageNasGetOperatorNameOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessageNasGetOperatorNameOutputOperatorPlmnListElement

    typedef struct {
        gchar *mcc;
        gchar *mnc;
        guint16 lac1;
        guint16 lac2;
        guint8 plmn_name_record_identifier;
    } QmiMessageNasGetOperatorNameOutputOperatorPlmnListElement;

A QmiMessageNasGetOperatorNameOutputOperatorPlmnListElement struct.

#### Members

gchar *`mcc`; | a string of exactly 3 characters. |
gchar *`mnc`; | a string of exactly 3 characters. |
guint16 `lac1`; | a guint16. |
guint16 `lac2`; | a guint16. |
guint8 `plmn_name_record_identifier`; | a guint8. |

Since: 1.18

### QmiMessageNasGetOperatorNameOutputOperatorPlmnNameElement

    typedef struct {
        QmiNasPlmnEncodingScheme name_encoding;
        QmiNasPlmnNameCountryInitials short_country_initials;
        QmiNasPlmnNameSpareBits long_name_spare_bits;
        QmiNasPlmnNameSpareBits short_name_spare_bits;
        GArray *long_name;
        GArray *short_name;
    } QmiMessageNasGetOperatorNameOutputOperatorPlmnNameElement;

A QmiMessageNasGetOperatorNameOutputOperatorPlmnNameElement struct.

#### Members

QmiNasPlmnEncodingScheme `name_encoding`; | a QmiNasPlmnEncodingScheme. |
QmiNasPlmnNameCountryInitials `short_country_initials`; | a QmiNasPlmnNameCountryInitials. |
QmiNasPlmnNameSpareBits `long_name_spare_bits`; | a QmiNasPlmnNameSpareBits. |
QmiNasPlmnNameSpareBits `short_name_spare_bits`; | a QmiNasPlmnNameSpareBits. |
GArray *`long_name`; | a GArray of guint8 elements. |
GArray *`short_name`; | a GArray of guint8 elements. |

Since: 1.18